import { IAppToolkit } from '../../../app-toolkit/app-toolkit.interface';
import { MetaType } from '../../../position/position.interface';
import { ContractPositionTemplatePositionFetcher } from '../../../position/template/contract-position.template.position-fetcher';
import { DefaultContractPositionDefinition, GetDisplayPropsParams, GetTokenBalancesParams } from '../../../position/template/contract-position.template.types';
import { SynthetixContractFactory, SynthetixPerp } from '../contracts';
export declare type GetContracts = {
    futuresMarkets: {
        id: string;
        marketKey: string;
    }[];
};
export declare const getContractsQuery: string;
export declare abstract class OptimismSynthetixPerpContractPositionFetcher extends ContractPositionTemplatePositionFetcher<SynthetixPerp> {
    protected readonly appToolkit: IAppToolkit;
    protected readonly contractFactory: SynthetixContractFactory;
    extraLabel: string;
    constructor(appToolkit: IAppToolkit, contractFactory: SynthetixContractFactory);
    getContract(address: string): SynthetixPerp;
    abstract marketFilter(market: any): boolean;
    protected isV2Market(market: any): boolean;
    getDefinitions(): Promise<DefaultContractPositionDefinition[]>;
    getTokenDefinitions(): Promise<{
        address: string;
        metaType: MetaType;
        network: import("../../../types").Network;
    }[]>;
    private getBaseAsset;
    getLabel({ contractPosition }: GetDisplayPropsParams<SynthetixPerp>): Promise<string>;
    getImages({ contractPosition }: GetDisplayPropsParams<SynthetixPerp>): Promise<string[]>;
    getTokenBalancesPerPosition({ address, contract }: GetTokenBalancesParams<SynthetixPerp>): Promise<import("ethers").BigNumber[]>;
}
